#include <stdio.h>
#include <X11/Xlib.h>


char *dtos(int d){
static char buf[80];
int p=0;
if (0>d) { buf[p++]='-'; d=-d;}
if (0==d) { buf[p++]='0'; buf[p]=0; return buf; }
int i=1000000000;
while (i > d) i/=10;
while (0<i){
   buf[p++]=('0'+(d/i));
   if (i<=d) d=d%i;
   i/=10;
}
buf[p]=0;
return buf;
} 

//for static builds
int main(int argc, char **argv){
Display *d = XOpenDisplay(NULL); 
int s  = XDefaultScreen(d);
write(1,"XWIDTH=",7);
write(1,dtos(XDisplayWidth(d,s)),4);
write(1,"\nXHEIGHT=",9);
write(1,dtos(XDisplayHeight(d,s)),4);
write(1,"\nXDEPTH=",8);
write(1,dtos(XDefaultDepth(d,s)),2);
XCloseDisplay(d);
write(1,"\n",1);
}

/*
//for shared builds
int main(void){
Display *d = XOpenDisplay(NULL); 
int s  = XDefaultScreen(d);
printf("XWIDTH=%d\nXHEIGHT=%d\nXDEPTH=%d\n",
	XDisplayWidth(d,s),XDisplayHeight(d,s),XDefaultDepth(d,s));
}
*/